libgphoto2 photo camera library (libgphoto2) API 2.4.11

- Main Page
- Related Pages
- Data Structures
- Files
- Directories

- Data Structures
- Data Fields

Data Fields
_CameraFilesystem Struct Reference

The internal camera filesystem structure. More...

## Data Fields

CameraFilesystemFolder * | rootfolder
CameraFilesystemFile * | lru_first
CameraFilesystemFile * | lru_last
unsigned long int | lru_size
CameraFilesystemGetInfoFunc | get_info_func
CameraFilesystemSetInfoFunc | set_info_func
void * | info_data
CameraFilesystemListFunc | file_list_func
CameraFilesystemListFunc | folder_list_func
void * | list_data
CameraFilesystemGetFileFunc | get_file_func
CameraFilesystemDeleteFileFunc | delete_file_func
void * | file_data
CameraFilesystemPutFileFunc | put_file_func
CameraFilesystemDeleteAllFunc | delete_all_func
CameraFilesystemDirFunc | make_dir_func
CameraFilesystemDirFunc | remove_dir_func
void * | folder_data
CameraFilesystemStorageInfoFunc | storage_info_func

## Detailed Description

The internal camera filesystem structure.

The internals of the CameraFilesystem are only visible to gphoto2. You can only access them using the functions provided by gphoto2.

The documentation for this struct was generated from the following file:

- libgphoto2/gphoto2-filesys.c